Bug 205207 - [PATCH] games/polypuzzle: Update to version 1.8.2
Summary: [PATCH] games/polypuzzle: Update to version 1.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-12-10 18:35 UTC by tkato432
Modified: 2016-03-02 01:14 UTC (History)
1 user (show)

See Also:


Attachments
games_polypuzzle.diff (4.93 KB, patch)
2015-12-10 18:35 UTC, tkato432
no flags Details | Diff
games_polypuzzle.diff (5.24 KB, patch)
2016-03-01 16:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2015-12-10 18:35:07 UTC
Created attachment 164063 [details]
games_polypuzzle.diff
Comment 1 Guido Falsi freebsd_committer 2016-03-01 10:20:32 UTC
I have tested the update, but running it on my machine fails with the following error:

> polypuzzle 
Error in startup script: tag "text" doesn't match any items
    while executing
".c lower piece$n text"
    (procedure "DrawPiece" line 42)
    invoked from within
"DrawPiece $p(count) $xpos $ypos"
    (procedure "MakePiece" line 6)
    invoked from within
"MakePiece 1 457 281 "0 0 -1 0 -2 0 1 0 2 0""
    (file "pieces.square" line 4)
    invoked from within
"source pieces.$gamemode"
    (procedure "InitPieces" line 12)
    invoked from within
"InitPieces"
    (procedure "NewCanvas" line 3)
    invoked from within
"NewCanvas"
    (file "/usr/local/bin/polypuzzle" line 1092)


Can you please investigate this?
Comment 2 tkato432 2016-03-01 16:00:11 UTC
Created attachment 167610 [details]
games_polypuzzle.diff

Oh, it is certain that patch-polypuzzle was different from what I intended.
I have probably made a mistake during "make makepatch".
Comment 3 Guido Falsi freebsd_committer 2016-03-02 01:13:39 UTC
Committed, with minor changes.

Thanks!
Comment 4 commit-hook freebsd_committer 2016-03-02 01:14:02 UTC
A commit references this bug:

Author: madpilot
Date: Wed Mar  2 01:13:13 UTC 2016
New revision: 409905
URL: https://svnweb.freebsd.org/changeset/ports/409905

Log:
  - Update to 1.8.2
  - Update MASTER_SITES and unbreak
  - Remove DOCS option since those files are not included anymore.
  - Update pkg-descr

  PR:		205207
  Submitted by:	Ports fury

Changes:
  head/games/polypuzzle/Makefile
  head/games/polypuzzle/distinfo
  head/games/polypuzzle/files/patch-polypuzzle
  head/games/polypuzzle/pkg-descr
  head/games/polypuzzle/pkg-plist